var KEY_GUARDAR="KEY_GUARDAR";

var KEY_GUARDAR_REPETIR="KEY_GUARDAR_REPETIR";

var KEY_CANCELAR="KEY_CANCELAR";

var KEY_FILTRO="KEY_FILTRO";

var FILTRO="FILTRO";



function onLoadPage() {	

	document.all["informante(firma)"].checked=false;

	document.all["informante(principal)"].checked=false;

	document.all["informante(nombre)"].focus();	

}





function ponAccion(key){

  //Validamos el formato del email

  if(!validaEmail(document["formAltaInformante"].elements["informante(mail)"].value)){

	  alert(emailNoValido);

	  document.all["informante(mail)"].focus();	

  }

  else if((key==KEY_GUARDAR || key==KEY_GUARDAR_REPETIR) && document.all["informante(idOficina)"].value==""){

	alert(seleccionarOficina);

  }

  else if(key==KEY_CANCELAR && document.forms["formAltaInformante"].elements["inicio"].value == FILTRO){

			 submmitFormulario(KEY_FILTRO);

  }

  else{

		submmitFormulario(key);

  }

}



function submmitFormulario(key){

	document.forms["formAltaInformante"].accion.value=key;

	document.forms["formAltaInformante"].submit();

}







